Package com.emc.documentum.rest.constant

# Enum Class CheckinPolicy

java.lang.Object
java.lang.Enum<CheckinPolicy>
com.emc.documentum.rest.constant.CheckinPolicy

All Implemented Interfaces:
  `IntegerValue`, `Serializable`, `Comparable<CheckinPolicy>`, `Constable`

public enum CheckinPolicy extends Enum<CheckinPolicy> implements IntegerValue
Enum for checkin policies

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BRANCH_VERSION`
  A branch version number will be used for the object.
  `NEXT_MAJOR`
  Object will recieve the next major version number.
  `NEXT_MINOR`
  Object will recieve the next minor version number.
  `NONE`
  No version option has been specified yet for this node.
  `SAME_VERSION`
  The version number for the object will remain unchanged.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `int`
  `value()`
  Returns the integer value of the enum constant
  `static CheckinPolicy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CheckinPolicy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEXT_MINOR

    public static final CheckinPolicy NEXT_MINOR
    Object will recieve the next minor version number.

  - ### NEXT_MAJOR

    public static final CheckinPolicy NEXT_MAJOR
    Object will recieve the next major version number.

  - ### SAME_VERSION

    public static final CheckinPolicy SAME_VERSION
    The version number for the object will remain unchanged.

  - ### BRANCH_VERSION

    public static final CheckinPolicy BRANCH_VERSION
    A branch version number will be used for the object.

  - ### NONE

    public static final CheckinPolicy NONE
    No version option has been specified yet for this node.

- ## Method Details

  - ### values

    public static CheckinPolicy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CheckinPolicy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Description copied from interface: `IntegerValue`
    Returns the integer value of the enum constant
    Specified by:
      `value` in interface `IntegerValue`
    Returns:
      the integer value of the enum constant

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<CheckinPolicy>`